Bug 1503167 - [Geo-rep]: Make changelog batch size configurable
Summary: [Geo-rep]: Make changelog batch size configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Aravinda VK
QA Contact: Rochelle
URL:
Whiteboard: rebase
Depends On: 1454872
Blocks: 1503132 1531940 1531941
TreeView+ depends on / blocked
 
Reported: 2017-10-17 13:18 UTC by Kotresh HR
Modified: 2018-09-12 10:05 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1454872
: 1531940 1531941 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:36:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:34 UTC

Description Kotresh HR 2017-10-17 13:18:58 UTC
+++ This bug was initially created as a clone of Bug #1454872 +++

Description of problem:
As of now, changelog batch size is constant (727040 bytes) which is size of all changelogs together in a single batch. Make it configurable to gain more control in the interval of stime updation.

Version-Release number of selected component (if applicable):
master

Actual results:
Changelog batch size fixed.

Expected results:
We should configurable something like

gluster vol geo-rep <mastervol> <slavehost>::<slavevol> config changelog-batch-size <num>

Additional info:

Comment 2 Kotresh HR 2017-10-17 13:20:20 UTC
Patch merged upstream long back and it would come to 3.4 as part of rebase.

https://review.gluster.org/17376

Comment 8 errata-xmlrpc 2018-09-04 06:36:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.